petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPMonitor

runs the user provided monitor routines, if they exist

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitor(KSP ksp,PetscInt it,PetscReal rnorm)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| it | - iteration number
| rnorm | - relative norm of the residual

### Notes

This routine is called by the KSP implementations. It does not typically need to be called by the user.

### See Also

KSPMonitorSet()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages